Subject: bug#23476: Slowdown in C Mode fontification [Was: bug#23476: 25.0.93; Visiting C files on master signals an error]

From: Alan Mackenzie <[email-masked]>
Date: Tue, 10 May 2016 07:51:32 +0000

Hello, Eli.

On Mon, May 09, 2016 at 10:11:14PM +0300, Eli Zaretskii wrote:

[ .... ]

> Btw, I noticed that CC Mode is quite a bit slower on master than it is
> on emacs-25 (try searching for "IF_LINT" in xdisp.c), is that related
> to these changes in any way?

Whoops!  No, this slowdown is caused by commit
89d1776b81ab552192ee41f13ce84ff86bda4556 on 2016-04-25, a fix for bug
#7918.  The bug was the spurious fontification of something like "for (;
a * b;)".

I'll see if I can find a better fix; if not, it would probably be best to
remove the commit and leave the bug unfixed.

-- 
Alan Mackenzie (Nuremberg, Germany).